LOAD(7)

NAME
LOAD - load or reload a shared library file

SYNOPSIS

LOAD 'filename'

DESCRIPTION

Loads a shared library file into the PostgreSQL backend's address space. If the file had been loaded previously, it is first unloaded. This command is primarily useful to unload and reload a shared library file that has been changed since the backend first loaded it. To make use of the shared library, function(s) in it need to be declared using the CREATE FUNCTION [create_function(7)] command.

The file name is specified in the same way as for shared library names in CREATE FUNCTION [create_function(7)]; in particular, one may rely on a search path and automatic addition of the system's standard shared library file name extension. See the Programmer's Guide for more detail.

COMPATIBILITY

LOAD is a PostgreSQL extension.

SEE ALSO

create_function(7), PostgreSQL Programmer's Guide